Bug 61230 (vs-569295) - Projects that includes files using wildcards will expand (and remove) wildcards upon save
Summary: Projects that includes files using wildcards will expand (and remove) wildcar...
Status: RESOLVED FIXED
Alias: vs-569295
Product: Xamarin Studio
Classification: Desktop
Component: Project Model (show other bugs)
Version: unspecified
Hardware: PC Mac OS
: High normal
Target Milestone: 15.7
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2018-02-19 12:33 UTC by Rolf Bjarne Kvinge [MSFT]
Modified: 2018-04-03 20:50 UTC (History)
2 users (show)

Tags: vs-sync
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Rolf Bjarne Kvinge [MSFT] 2018-02-19 12:33:10 UTC
Repro:

* Open monotouch-test.csproj from xamarin-macios (https://github.com/xamarin/xamarin-macios/blob/master/tests/monotouch-test/monotouch-test.csproj). There's a solution with the project in tests/tests.sln
* Change a project setting (go to iOS Build and the "Linker behavior" for instance)
* Close VSfM.

csproj diff:

> diff --git a/tests/monotouch-test/monotouch-test.csproj b/tests/monotouch-test/monotouch-test.csproj
> index 76025ed2b..7264d8ae7 100644
> --- a/tests/monotouch-test/monotouch-test.csproj
> +++ b/tests/monotouch-test/monotouch-test.csproj
> @@ -25,12 +25,12 @@
>      <ErrorReport>prompt</ErrorReport>
>      <WarningLevel>0</WarningLevel>
>      <MtouchDebug>True</MtouchDebug>
>      <MtouchExtraArgs>-v -v -v -v</MtouchExtraArgs>
>      <AllowUnsafeBlocks>True</AllowUnsafeBlocks>
>      <MtouchArch>i386, x86_64</MtouchArch>
>      <CodesignEntitlements>Entitlements.plist</CodesignEntitlements>
>      <CodesignKey>iPhone Developer</CodesignKey>
> -    <MtouchLink>None</MtouchLink>
> +    <MtouchLink>SdkOnly</MtouchLink>
>    </PropertyGroup>
>    <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|iPhoneSimulator' ">
>      <DebugType>none</DebugType>
> @@ -166,9 +166,6 @@
>      <None Include="EmptyNib.xib" Condition="'$(TargetFrameworkIdentifier)' != 'Xamarin.WatchOS'" />
>    </ItemGroup>
>    <ItemGroup>
> -    <Compile Include="**\*.cs" Exclude="obj\**">
> -      <Link>%(RecursiveDir)%(Filename).cs</Link>
> -    </Compile>
>      <Compile Include="..\..\tests\test-libraries\TrampolineTest.generated.cs" />
>      <Compile Include="..\..\tests\test-libraries\RegistrarTest.generated.cs" />
>      <Compile Include="..\..\external\mono\mcs\class\System.Drawing\Test\System.Drawing\TestPoint.cs" Condition="$(TargetFrameworkIdentifier) != 'Xamarin.WatchOS'">
> @@ -201,6 +198,1557 @@
>      <Compile Include="..\common\ConditionalCompilation.cs">
>        <Link>ConditionalCompilation.cs</Link>
>      </Compile>
> +    <Compile Include="AppDelegate.cs">
> +      <Link>AppDelegate.cs</Link>
> +    </Compile>
> +    <Compile Include="Asserts.cs">
> +      <Link>Asserts.cs</Link>
> +    </Compile>
> +    <Compile Include="Main.cs">
> +      <Link>Main.cs</Link>
> +    </Compile>
> [...]

------------------------------------------------------------------------------

Visual Studio Community 2017 for Mac (Preview)
Version 7.4 Preview (7.4 build 985)
Installation UUID: 3de793cc-1bea-4b7e-9e90-bb6747c5ca7e
Runtime:
	Mono 5.10.0.15 (2017-12/907075a5f01) (64-bit)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 510000015

NuGet
Version: 4.3.1.4445

.NET Core
Runtime: /usr/local/share/dotnet/dotnet
Runtime Version: 2.0.0
SDK: /usr/local/share/dotnet/sdk/2.0.0/Sdks
SDK Version: 2.0.0
MSBuild SDKs: /Library/Frameworks/Mono.framework/Versions/5.10.0/lib/mono/msbuild/15.0/bin/Sdks

Xamarin.Profiler
Version: 1.5.5
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

Apple Developer Tools
Xcode 9.2 (13772)
Build 9C40b

Xamarin.Mac
Version: 4.3.0.213 (Visual Studio Community)

Xamarin.iOS
Version: 11.9.0.213 (Visual Studio Community)
Hash: afc25f2cb
Branch: optimized-protocol-support
Build date: 2018-02-08 13:50:54+0100

Xamarin.Android
Version: 7.0.99.113 (Visual Studio Community)
Android SDK: Not found

Xamarin Inspector
Version: 1.4.0
Hash: b3f92f9
Branch: master
Build date: Fri, 19 Jan 2018 22:00:34 GMT
Client compatibility: 1

Build Information
Release ID: 704000985
Git revision: 0bed5a3380dbe82009f80c895623208d6c0df152
Build date: 2018-02-02 20:00:14-05
Xamarin addins: 612453baa9a0faea49aa554be49c01c2e0542bf3
Build lane: monodevelop-lion-d15-6

Operating System
Mac OS X 10.12.6
Darwin 16.7.0 Darwin Kernel Version 16.7.0
    Thu Jan 11 22:59:40 PST 2018
    root:xnu-3789.73.8~1/RELEASE_X86_64 x86_64